using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenAuth.App.Const
{
    class EnumInfo
    {
    }
    /// <summary>
    /// 任务状态
    /// </summary>
    public enum TaskState
    {
        [Description("待接收")]
        待接收 = 1,
        [Description("已接收")]
        已接收 = 2,
        [Description("已完成")]
        已完成 = 3,
    }
    /// <summary>
    /// 上报火情状态
    /// </summary>
    public enum State
    {
        [Description("上报")]
        上报 = 1,
        [Description("处理中")]
        处理中 = 2,
        [Description("处理完成")]
        处理完成 = 3,
        [Description("误报")]
        误报 = 4,
        [Description("已合并")]
        已合并 = 5,
    }
    /// <summary>
    /// 数据来源
    /// </summary>
    public enum SourceType
    {
        [Description("APP")]
        APP = 1,
        [Description("高空瞭望")]
        高空瞭望 = 2,
        [Description("无人机")]
        无人机 = 3,
        [Description("人工合并")]
        人工合并 = 4,
        [Description("小程序")]
        小程序 = 5,
        [Description("卫星遥感")]
        卫星遥感 = 6,
        [Description("摄像头")]
        摄像头 = 7
    }
}
